GNU bug report logs - #57068
Resizing mcron job in vm-image.tmpl interferes with settings

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Ludovic Courtès <ludo@HIDDEN>; dated Tue, 9 Aug 2022 09:31:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 57068 <at> debbugs.gnu.org:


Received: (at 57068) by debbugs.gnu.org; 3 Nov 2022 14:59:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 03 10:59:16 2022
Received: from localhost ([127.0.0.1]:49931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oqbga-0000Ox-D9
	for submit <at> debbugs.gnu.org; Thu, 03 Nov 2022 10:59:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oqbgY-0000Oi-8A
 for 57068 <at> debbugs.gnu.org; Thu, 03 Nov 2022 10:59:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oqbgS-0004zL-R0; Thu, 03 Nov 2022 10:59:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=lndFEncecgz8Eavc68FuYIagcm6saDaAH+NrsOC2jek=; b=IhgirK174eF03ngOFRfR
 /t/f/CBV/M+DHaglPR3xsLDh/REBDRgl8PKi/101ruynsni9x0JrsaqvvzRlarVSTrr6ghkcQhPR+
 0s0/7kXN1rKqBpPq9qY7EFgWzTyWT4pjeVoMC5iEDzpVhIDoim1AwzLim4SXeZkyxcmF/iU/Mlsy0
 G4jOK80j5Q9MMt6bg5vsj0HHHkvXQ4ZRPrn//UA5TeioEiGmQJIxFy/lBQvBnTh73uyGb0pqzdJr6
 yIAs8jMgWt47d/ZQh5VoJxNSpCrBunnA8mwGLgUu6x5pe4hQ12AaQQW9nYzE8CyQVVdsGpIlAv1OE
 uCpXJiCV1u6wcQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201] helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oqbgR-0001N9-Vz; Thu, 03 Nov 2022 10:59:08 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#57068: Resizing mcron job in vm-image.tmpl interferes with
 settings
References: <87r11p932e.fsf@HIDDEN> <87v8r0nbm2.fsf@HIDDEN>
 <87sfm3vzgl.fsf@HIDDEN> <87v8nylgig.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Tridi 13 Brumaire an 231 de la =?utf-8?Q?R=C3=A9volu?=
 =?utf-8?Q?tion=2C?= jour du Topinambour
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 03 Nov 2022 15:59:05 +0100
In-Reply-To: <87v8nylgig.fsf@HIDDEN> (Mathieu Othacehe's message of "Tue, 01
 Nov 2022 18:40:55 +0100")
Message-ID: <87pme4qe2u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57068
Cc: 57068 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Mathieu Othacehe <othacehe@HIDDEN> skribis:

>> Oh, I wasn=E2=80=99t aware of that, that should certainly be fixed.  (I =
fixed a
>> similar issue in GNOME some years ago, and I=E2=80=99m confident it=E2=
=80=99ll be easier
>> to fix in Xfce because it doesn=E2=80=99t have all those layers and daem=
ons and
>> JavaScript and DBus interfaces.  :-))
>
> Fixing this behaviour in Xfce seems like the right thing to do to
> conserve SPICE support and fix the QEMU resizing issue.
>
> This also looks like a large development, so I propose to unblock the
> release with this ticket.

I agree, but it would be nice to find another workaround: invoking
xrandr every second is undesirable.  It interferes with user settings
and degrades performance, whether or not one uses SPICE.

Can the guest determine whether SPICE is being used?  That would allow
us to make the hack conditional.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#57068; Package guix. Full text available.
Removed indication that bug 57068 blocks Request was from Mathieu Othacehe <mathieu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57068 <at> debbugs.gnu.org:


Received: (at 57068) by debbugs.gnu.org; 1 Nov 2022 17:41:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 13:41:06 2022
Received: from localhost ([127.0.0.1]:44176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1opvG6-0002bz-De
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2022 13:41:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1opvG4-0002bO-RE
 for 57068 <at> debbugs.gnu.org; Tue, 01 Nov 2022 13:41:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1opvFy-0001oL-Ni; Tue, 01 Nov 2022 13:40:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=9tn4vdRTbm1kMcwb500lAb/QBKTgQZT7xmRjMKbiw0o=; b=kM6XSjXTCmGfhlvIDCMG
 6l7ZughBSmbgs6kWyon8quaoVe3wZeknWDbKhnwXQKwLeQJwDQ11MiIU5XeJQDGGQ9cgQ3+p054V1
 B/T3ubLsyqP/NBVFNXAkedbjMSp4gLjQ/bXudvHknAWCYOW8KnRzN40TyYmqsPbpUxgO/r35O7YAA
 wtNkJBH+bc9T4/mcWjxL34psCnl205XLCXm/bNwAeM9mko6+2jHnYztaoiktrltSHgVF/bSZi6Etg
 U6TQLq614WOkeuOOubI6U2RfzvVRBh6QKgS3OExX96Hfby6cVwaGgUJ0sWHisK9Y/N8uPRcZKmKYh
 Uw4kjHEPN8Z/Cw==;
Received: from 2a02-8429-81d2-3d01-94c9-8097-ea5c-2774.rev.sfr.net
 ([2a02:8429:81d2:3d01:94c9:8097:ea5c:2774] helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1opvFy-0002vf-5x; Tue, 01 Nov 2022 13:40:58 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#57068: Resizing mcron job in vm-image.tmpl interferes with
 settings
References: <87r11p932e.fsf@HIDDEN> <87v8r0nbm2.fsf@HIDDEN>
 <87sfm3vzgl.fsf@HIDDEN>
Date: Tue, 01 Nov 2022 18:40:55 +0100
In-Reply-To: <87sfm3vzgl.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Thu, 11 Aug 2022 12:36:42 +0200")
Message-ID: <87v8nylgig.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57068
Cc: 57068 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

> Oh, I wasn=E2=80=99t aware of that, that should certainly be fixed.  (I f=
ixed a
> similar issue in GNOME some years ago, and I=E2=80=99m confident it=E2=80=
=99ll be easier
> to fix in Xfce because it doesn=E2=80=99t have all those layers and daemo=
ns and
> JavaScript and DBus interfaces.  :-))

Fixing this behaviour in Xfce seems like the right thing to do to
conserve SPICE support and fix the QEMU resizing issue.

This also looks like a large development, so I propose to unblock the
release with this ticket.

Thanks,

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#57068; Package guix. Full text available.

Message received at 57068 <at> debbugs.gnu.org:


Received: (at 57068) by debbugs.gnu.org; 11 Aug 2022 10:36:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 11 06:36:51 2022
Received: from localhost ([127.0.0.1]:51773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oM5YZ-0005ap-7Y
	for submit <at> debbugs.gnu.org; Thu, 11 Aug 2022 06:36:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oM5YX-0005ab-Ny
 for 57068 <at> debbugs.gnu.org; Thu, 11 Aug 2022 06:36:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50236)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oM5YS-0000MV-Bw; Thu, 11 Aug 2022 06:36:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=+zGvljcUSk8F4lzen+rw0aG4GhWGoXdTdS8CbAajpOs=; b=jqRgOmZvZAj8vD/aaoEz
 GZ5S/ielF3Cb0mgb46kqFBAy1DvqsqcnKRuxZMRbzt+C1WDbqLsi3avjYE96rvGt/ACzb9DGUrF7U
 E4xzCMGQ7i8zhBereRO25gWj94hNF4KHMcoFW3u0aOW1NBF7fTNHaiVCHFBRDWIGk8PJpDd3eCoHC
 b8KQitba40Yt9RSyOU3csIxq7rU8faCqQWtW+XHASk6Co7xmLcp+9Yi10ce2xILDc/KE8nf9yxLfW
 5rh1itSUAaqwiKirYwqHpFP6UgRIAjY8D3K0zoAGyy7cvPRu6VI3ABPyC0qjUEfP7L2+JC7C6L+HU
 7641TW/b8OlJkQ==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=51402 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oM5YR-0006bj-Rw; Thu, 11 Aug 2022 06:36:44 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#57068: Resizing mcron job in vm-image.tmpl interferes with
 settings
References: <87r11p932e.fsf@HIDDEN> <87v8r0nbm2.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Quartidi 24 Thermidor an 230 de la =?utf-8?Q?R=C3=A9?=
 =?utf-8?Q?volution=2C?= jour de =?utf-8?Q?l'Aun=C3=A9e?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 11 Aug 2022 12:36:42 +0200
In-Reply-To: <87v8r0nbm2.fsf@HIDDEN> (Maxim Cournoyer's message of "Tue, 09
 Aug 2022 21:14:29 -0400")
Message-ID: <87sfm3vzgl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57068
Cc: 57068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Maxim,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

> The vm-image.tmpl is the template we use for our graphical Guix demo
> QEMU image that can be downloaded from our site
> (https://guix.gnu.org/en/download/ ->
> https://ftp.gnu.org/gnu/guix/guix-system-vm-image-1.3.0.x86_64-linux.qcow=
2).
>
> This commit was made to allow SPICE dynamic resizing to work, as
> mentioned in a comment part of this commit.  XFCE lacks support for it,
> as also mentioned in the comment
> (https://gitlab.xfce.org/xfce/xfce4-settings/-/issues/142), which means
> a new user downloading the image and running it in a SPICE-capable
> viewer such as virt-manager or gnome-boxes will be dismayed that it
> doesn't resize as they may have come to expect from other modern
> distributions.

Understood.

(I wonder if the QEMU Guest Agent can serve a similar purpose.)

>> Should we remove this workaround, possibly finding another one?
>
> I think we should use a desktop environment that is better maintained,

I think this is unfair criticism: Xfce is actively maintained, with a
large user base.

> and which works well with SPICE, without hacks, given the improvements
> to the user experience it provides, and given it's important that a
> first user encounter with Guix be smooth and shiny.  GNOME could do it,
> at the cost of a bigger image size.

Right.  I wouldn=E2=80=99t mind GNOME, but one reason we went for Xfce is t=
hat
GNOME is just too big, at least as currently packaged in Guix.

> There are other, perhaps worst issues with XFCE, which is that the
> keyboard layout switcher doesn't work, and it didn't seem trivial to fix
> when I looked at it.

Oh, I wasn=E2=80=99t aware of that, that should certainly be fixed.  (I fix=
ed a
similar issue in GNOME some years ago, and I=E2=80=99m confident it=E2=80=
=99ll be easier
to fix in Xfce because it doesn=E2=80=99t have all those layers and daemons=
 and
JavaScript and DBus interfaces.  :-))

That=E2=80=99s a general issue with all Xfce installations, not just in the=
 VM
image, right?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#57068; Package guix. Full text available.

Message received at 57068 <at> debbugs.gnu.org:


Received: (at 57068) by debbugs.gnu.org; 11 Aug 2022 10:30:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 11 06:30:25 2022
Received: from localhost ([127.0.0.1]:51767 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oM5SL-0005R7-DG
	for submit <at> debbugs.gnu.org; Thu, 11 Aug 2022 06:30:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oM5SJ-0005Qu-LP
 for 57068 <at> debbugs.gnu.org; Thu, 11 Aug 2022 06:30:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50166)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oM5SE-00086a-27; Thu, 11 Aug 2022 06:30:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=sdfkpXJJlKjacr6d2gGOqId2kPNr5TPOGCTxxciYugo=; b=RSH6uaid5yQfSNvjbPrk
 blV6ZdZg9DKCLW/4j2V64zbXnedqXMdKeTTJppNqDsOHeTFzCKBF/jDbiQ8ArxZ1IXL4XdVZsj+82
 u2u8nblDh5mLbky+LkgRU7QSveBw3CCJj4otT+luT+cH5J8oIwFs6RzVzKW1AeBw+mm2L25Q2+/yO
 M2x/sJgL6Qjxar/4N+ZqnZfVuvUswY6x0/dZJux3/UEqV8Ae8H2OI4fsF5/+llsUjy3doTToHVdej
 QVP6RUYd5NG/aN1OlUgiihElLqXzcKp5iWklAj1HDAnwkdPcjpR+qmCbltp75syHsJ+eVJQ6z+SQs
 bWbxQmcBmj4EIw==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=32818 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oM5SC-0000E9-9v; Thu, 11 Aug 2022 06:30:17 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#57068: Resizing mcron job in vm-image.tmpl interferes with
 settings
References: <87r11p932e.fsf@HIDDEN> <87edxp92ai.fsf@HIDDEN>
 <87wnbgln8z.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Quartidi 24 Thermidor an 230 de la =?utf-8?Q?R=C3=A9?=
 =?utf-8?Q?volution=2C?= jour de =?utf-8?Q?l'Aun=C3=A9e?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 11 Aug 2022 12:30:14 +0200
In-Reply-To: <87wnbgln8z.fsf@HIDDEN> (Maxim Cournoyer's message of "Wed, 10
 Aug 2022 00:46:04 -0400")
Message-ID: <87zggbvzrd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57068
Cc: 57068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

>> There=E2=80=99s a third problem that I initially thought was unrelated:
>>
>>   3. The mcron job starts running before =E2=80=98xorg-server=E2=80=99 i=
s up, and that
>>      can cause Xorg to fail to start.
>>
>> Namely, if you run the command above, you=E2=80=99ll see that Xorg start=
s and
>> fails typically a few times in a row, until it eventually succeeds.  In
>> /var/log/messages, you can see that the =E2=80=98xorg-server=E2=80=99 pr=
ocess exits with
>> code 1 (without any indication of what went wrong AFAICS) and the
>> service gets respawned.
>>
>> Now if you remove the mcron job and boot the VM, the =E2=80=98xorg-serve=
r=E2=80=99
>> service successfully starts.  It=E2=80=99s 100% reproducible for me.
>
> I tried to reproduce the problem without any luck on my machine (it
> always boots fine).  Odd.

Does =E2=80=98xorg-server=E2=80=99 successfully start from the first time, =
or does
succeed after a few tries?  For me it systemically tries a couple of
time before it succeeds.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#57068; Package guix. Full text available.

Message received at 57068 <at> debbugs.gnu.org:


Received: (at 57068) by debbugs.gnu.org; 10 Aug 2022 04:46:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 10 00:46:16 2022
Received: from localhost ([127.0.0.1]:45786 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLdbk-0001fp-1f
	for submit <at> debbugs.gnu.org; Wed, 10 Aug 2022 00:46:16 -0400
Received: from mail-qv1-f42.google.com ([209.85.219.42]:46053)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1oLdbf-0001fQ-GQ
 for 57068 <at> debbugs.gnu.org; Wed, 10 Aug 2022 00:46:15 -0400
Received: by mail-qv1-f42.google.com with SMTP id v2so10156441qvs.12
 for <57068 <at> debbugs.gnu.org>; Tue, 09 Aug 2022 21:46:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:from:to:cc;
 bh=QnMPPQrvbrpxX5hXAbLiPnLJHfy1i5Ie/l1Q/p5clfU=;
 b=iEllKeuoM1YYGkv37gx1pEj+Ft9RfsW2mAeK9jJp/gzNJtvd/DcAt2TMLTvT1VFzx2
 wh/Cinu6JARObzFMvNQ3RM51J4KudwqVLu+qXxmURlnosTMCG2ktXzLqx+Ry9IiAFCkg
 iQeodzProPTcK7RGyJJIp3ZstrqKzBGq/KPq9nvakL0ZLeN80FKTRrWhYCXF1L6OtNuV
 kZz92KBJ83VYvOk3umJVNVCacEfsnAt4o/GBkTBS016L79Ad0CFg3qbcY9q9HmLrCEJh
 54ag7WDJ3wIp/4jJUGwU4y9Q0UQ8mSZ4XibZiLFZ5IXAghZDp2Ni5JVCjVwdtx4HWXUn
 n8xA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:x-gm-message-state
 :from:to:cc;
 bh=QnMPPQrvbrpxX5hXAbLiPnLJHfy1i5Ie/l1Q/p5clfU=;
 b=aMWgeavH3GMk8KC2rCYV2zNy2Tb+YDNZ+00eto/7Ee1kthjJwfKJ7cg2OcInL4Pgcx
 wk+WY6+pEBA3zoFUI8pXdNt+9k3kXG2Xc9AG47gHkRmMbLHLMKhZsO+YLF4Lhh8QtV23
 39va30L2PLk5M89zxC2Esvk92GJKFhbWybP/FfAprRPJdKakqUSYhDMRLu+exQBwi36c
 +cQzD5f5tBa4/JqSEIj/uwPdUIE1hCfJaKv0TwjOgknUiKNPDoPlctr5zQoYPrGFPP0u
 pCgLP+xSwZLzO8Ep10TO6MOp1fzbKU+M+jeZfDNU09SO32+3f4Eu54ujibmycVsiPY3l
 7xQQ==
X-Gm-Message-State: ACgBeo0raCPY8TSJ6lD8dB4xXoXd+hZZO207FOy6BXz5y1vz2aqXxxM6
 LlXthP9Un6CSHOm5ImT49dKb0PzIA9s=
X-Google-Smtp-Source: AA6agR6LmxpFmRrPv0CCFzoyiXGM0yMnO7ZGuYriPgIzWwp99afN7PoGTP/p+ADtuhwognb5Iof9tA==
X-Received: by 2002:a05:6214:242b:b0:479:4bb0:529c with SMTP id
 gy11-20020a056214242b00b004794bb0529cmr19183234qvb.109.1660106765810; 
 Tue, 09 Aug 2022 21:46:05 -0700 (PDT)
Received: from hurd (dsl-10-135-11.b2b2c.ca. [72.10.135.11])
 by smtp.gmail.com with ESMTPSA id
 ci14-20020a05622a260e00b0031ef0081d77sm11348747qtb.79.2022.08.09.21.46.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Aug 2022 21:46:05 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#57068: Resizing mcron job in vm-image.tmpl interferes with
 settings
References: <87r11p932e.fsf@HIDDEN> <87edxp92ai.fsf@HIDDEN>
Date: Wed, 10 Aug 2022 00:46:04 -0400
In-Reply-To: <87edxp92ai.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Tue, 09 Aug 2022 11:47:17 +0200")
Message-ID: <87wnbgln8z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57068
Cc: 57068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:
>
>> Commit 945ad48cd8029fa77a643e00c7fd350e98cacca0 added an mcron job to
>> =E2=80=98vm-image.tmpl=E2=80=99 that resets screen size every second.  I=
=E2=80=99m don=E2=80=99t fully
>> understand the problem this was addressing, but it has two drawbacks:
>>
>>   1. Kicking in every second is inefficient.
>>
>>   2. Resetting the screen size prevents users from changing it.  For
>>      example, if I run:
>>
>>        $(guix system vm gnu/system/examples/vm-image.tmpl) -m 1024
>>
>>     then go to the Xfce menu, Settings -> Display, and change the screen
>>     size, I have it immediately reset back to the default value.
>
> There=E2=80=99s a third problem that I initially thought was unrelated:
>
>   3. The mcron job starts running before =E2=80=98xorg-server=E2=80=99 is=
 up, and that
>      can cause Xorg to fail to start.
>
> Namely, if you run the command above, you=E2=80=99ll see that Xorg starts=
 and
> fails typically a few times in a row, until it eventually succeeds.  In
> /var/log/messages, you can see that the =E2=80=98xorg-server=E2=80=99 pro=
cess exits with
> code 1 (without any indication of what went wrong AFAICS) and the
> service gets respawned.
>
> Now if you remove the mcron job and boot the VM, the =E2=80=98xorg-server=
=E2=80=99
> service successfully starts.  It=E2=80=99s 100% reproducible for me.

I tried to reproduce the problem without any luck on my machine (it
always boots fine).  Odd.

I don't mind the hack removed, but I think we should aim to keep SPICE
dynamic resizing working, and currently that'd mean switching desktop
environment, unless we fix
https://gitlab.xfce.org/xfce/xfce4-settings/-/issues/142 (GNOME had
adjusted for the years old change in SPICE with
https://gitlab.gnome.org/GNOME/mutter/-/commit/957513242c26be458be7a101b831=
80e3f59f6a44),
in case your looking for something fun to hack on :-).

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#57068; Package guix. Full text available.

Message received at 57068 <at> debbugs.gnu.org:


Received: (at 57068) by debbugs.gnu.org; 10 Aug 2022 01:14:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 21:14:39 2022
Received: from localhost ([127.0.0.1]:45563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLaIw-0000SX-Ra
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 21:14:39 -0400
Received: from mail-qv1-f43.google.com ([209.85.219.43]:33533)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1oLaIv-0000SK-G8
 for 57068 <at> debbugs.gnu.org; Tue, 09 Aug 2022 21:14:37 -0400
Received: by mail-qv1-f43.google.com with SMTP id d1so9954639qvs.0
 for <57068 <at> debbugs.gnu.org>; Tue, 09 Aug 2022 18:14:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:from:to:cc;
 bh=bUr3rfGqHLocIaTHtkmP0HDfTKZEy974ziS+L8bbuHQ=;
 b=CwD0k+h3wE6rfqIcIpcdrJM3UsIKMiLuYtxm48Qf5WoqJhmt2B5elT3DK+1zaqdPgd
 PpgZvCpmsV/u98L23wdEVSpWDufKZkys4DrKiLGXMyTeap6txQOrXBgySIjdKmZ0KprA
 YTyvZ7iTK5BXNvDcNvScDOfo76G9RX3pWQNyDfcHPOKzC+SqSwuriEK9gU5iTtbxDCyk
 5vVkl6Hp30qndROlsGgrmY5q33x72wrxEOBrPBayeqY1YvRFWNLxiFi2VHuO9JoKYACZ
 vJJrtX91QFssqCkdojL//xlIlDjKS71mC+53TX//ItmowZ0tSY9u1ihDqNGjofnJZT/l
 Rl/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:x-gm-message-state
 :from:to:cc;
 bh=bUr3rfGqHLocIaTHtkmP0HDfTKZEy974ziS+L8bbuHQ=;
 b=yqqswlF88/J/2knwI80E9Rkgk1By3i1YGwdNatWpbVrlzxugSXr7PeyomfMejYGlbB
 1LkLjwYn1sLxUQT0+/3TX73PZ1OrltLgVR7DkNj4rYDwWqV4cvy9yaF/vfHUOSeljsgs
 rVZPoj0GFGfDmdvem0rso8HgkNL98R4T1W2xji6Ovc0FBhYYmynXCf7G6ajMqdxrDjhf
 24gmcQjJh2YNOad3+QzRqPMqhdzrFgwrie/4BPJ4pS9j17E4REcMOxImjgozIszNgmue
 ykx9/rdWfUhRw/P7rSqxXu1w1zCUU+DgHAbWf/mHrvk+iF4Dr9T5P/W3bn2xg3c6YpxK
 Fg9Q==
X-Gm-Message-State: ACgBeo3POyCepuqweIb7m+Ga4Vt+Eo0Ze/F6Uvjit/BglrCxXk1JmCYS
 S03IxxLHCW9qMP+TSDIuCrY73g/STck=
X-Google-Smtp-Source: AA6agR57HMdmasXbbeuATEsrNfBY2XJWoyV0Bh5MCd2jq/iN6mAw8tSTfP7sbM6yoBWZjht1kjRdIw==
X-Received: by 2002:a05:6214:4005:b0:472:be5a:810d with SMTP id
 kd5-20020a056214400500b00472be5a810dmr22275201qvb.36.1660094071732; 
 Tue, 09 Aug 2022 18:14:31 -0700 (PDT)
Received: from hurd (dsl-10-135-11.b2b2c.ca. [72.10.135.11])
 by smtp.gmail.com with ESMTPSA id
 w16-20020a05620a425000b006b60e1cf2c2sm12298729qko.0.2022.08.09.18.14.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Aug 2022 18:14:30 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#57068: Resizing mcron job in vm-image.tmpl interferes with
 settings
References: <87r11p932e.fsf@HIDDEN>
Date: Tue, 09 Aug 2022 21:14:29 -0400
In-Reply-To: <87r11p932e.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22?=
 =?utf-8?Q?'s?= message of "Tue, 09 Aug 2022 11:30:33 +0200")
Message-ID: <87v8r0nbm2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57068
Cc: 57068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludovic,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hello!
>
> Commit 945ad48cd8029fa77a643e00c7fd350e98cacca0 added an mcron job to
> =E2=80=98vm-image.tmpl=E2=80=99 that resets screen size every second.  I=
=E2=80=99m don=E2=80=99t fully
> understand the problem this was addressing, but it has two drawbacks:

The vm-image.tmpl is the template we use for our graphical Guix demo
QEMU image that can be downloaded from our site
(https://guix.gnu.org/en/download/ ->
https://ftp.gnu.org/gnu/guix/guix-system-vm-image-1.3.0.x86_64-linux.qcow2).

This commit was made to allow SPICE dynamic resizing to work, as
mentioned in a comment part of this commit.  XFCE lacks support for it,
as also mentioned in the comment
(https://gitlab.xfce.org/xfce/xfce4-settings/-/issues/142), which means
a new user downloading the image and running it in a SPICE-capable
viewer such as virt-manager or gnome-boxes will be dismayed that it
doesn't resize as they may have come to expect from other modern
distributions.

>   1. Kicking in every second is inefficient.

5% on my machine, as mentioned in the commit message.  The trade is
still on the winning side for me (dynamic resizing is a big upgrade for
the user experience in my book).

>   2. Resetting the screen size prevents users from changing it.  For
>      example, if I run:
>
>        $(guix system vm gnu/system/examples/vm-image.tmpl) -m 1024
>
>     then go to the Xfce menu, Settings -> Display, and change the screen
>     size, I have it immediately reset back to the default value.

OK.  I didn't know this could be workable use case with the stock QEMU
viewer when playing with graphical VMs.

> Should we remove this workaround, possibly finding another one?

I think we should use a desktop environment that is better maintained,
and which works well with SPICE, without hacks, given the improvements
to the user experience it provides, and given it's important that a
first user encounter with Guix be smooth and shiny.  GNOME could do it,
at the cost of a bigger image size.

There are other, perhaps worst issues with XFCE, which is that the
keyboard layout switcher doesn't work, and it didn't seem trivial to fix
when I looked at it.

What do you think?

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#57068; Package guix. Full text available.
Added indication that bug 57068 blocks53214 Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57068 <at> debbugs.gnu.org:


Received: (at 57068) by debbugs.gnu.org; 9 Aug 2022 09:47:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 05:47:32 2022
Received: from localhost ([127.0.0.1]:42574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLLpj-00039R-KL
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 05:47:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oLLph-00039F-S2
 for 57068 <at> debbugs.gnu.org; Tue, 09 Aug 2022 05:47:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36416)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oLLpc-0003Qv-LN; Tue, 09 Aug 2022 05:47:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=wwnuYEysP+HLDqHaPJ7nrHZ2Fniue9WPoX+CMc8WV6E=; b=HWOsoBIzCTlghQPz/CrN
 0qzT3UF31oE2XUp322pqtzcpxrygNie//q466STHk8bCC5TQuq9JL27Khyh6mZUGRj/CywkmpZeml
 PN+mXDtE9DU5uh1NRoPdKDlC9m1tsBJzfaarX0r8A+Q2WBDlvhYs163ukt5NpptaHW3NMKvCJh8mb
 HSDNbTrcX9Yzowy4AX9BWdZDCSs7RyP2EYoDq3iy+DjmGB755QoX9XOKZtH08YsnV/U6VnWXsWUYZ
 kGnRkeM+eNcl+R8S65wa3agUVebfuJpVRf4Cnmx1EsXH3H4A0PBKX37epwj7ISezlK4hVauS6uiE9
 ARYLkcV8M72urA==;
Received: from [193.50.110.201] (port=52096 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oLLpX-0004cZ-L6; Tue, 09 Aug 2022 05:47:21 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: 57068 <at> debbugs.gnu.org
Subject: Re: bug#57068: Resizing mcron job in vm-image.tmpl interferes with
 settings
References: <87r11p932e.fsf@HIDDEN>
Date: Tue, 09 Aug 2022 11:47:17 +0200
In-Reply-To: <87r11p932e.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22?=
 =?utf-8?Q?'s?= message of "Tue, 09 Aug 2022 11:30:33 +0200")
Message-ID: <87edxp92ai.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57068
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> Commit 945ad48cd8029fa77a643e00c7fd350e98cacca0 added an mcron job to
> =E2=80=98vm-image.tmpl=E2=80=99 that resets screen size every second.  I=
=E2=80=99m don=E2=80=99t fully
> understand the problem this was addressing, but it has two drawbacks:
>
>   1. Kicking in every second is inefficient.
>
>   2. Resetting the screen size prevents users from changing it.  For
>      example, if I run:
>
>        $(guix system vm gnu/system/examples/vm-image.tmpl) -m 1024
>
>     then go to the Xfce menu, Settings -> Display, and change the screen
>     size, I have it immediately reset back to the default value.

There=E2=80=99s a third problem that I initially thought was unrelated:

  3. The mcron job starts running before =E2=80=98xorg-server=E2=80=99 is u=
p, and that
     can cause Xorg to fail to start.

Namely, if you run the command above, you=E2=80=99ll see that Xorg starts a=
nd
fails typically a few times in a row, until it eventually succeeds.  In
/var/log/messages, you can see that the =E2=80=98xorg-server=E2=80=99 proce=
ss exits with
code 1 (without any indication of what went wrong AFAICS) and the
service gets respawned.

Now if you remove the mcron job and boot the VM, the =E2=80=98xorg-server=
=E2=80=99
service successfully starts.  It=E2=80=99s 100% reproducible for me.

I suppose the =E2=80=98xrandr=E2=80=99 command can kick in too early while =
Xorg is
initializing, causing it to exit.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#57068; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Aug 2022 09:30:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 05:30:42 2022
Received: from localhost ([127.0.0.1]:42557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLLZS-0002kM-LE
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 05:30:42 -0400
Received: from lists.gnu.org ([209.51.188.17]:53300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oLLZO-0002kD-Vv
 for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 05:30:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39874)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1oLLZO-0004c1-10
 for bug-guix@HIDDEN; Tue, 09 Aug 2022 05:30:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36254)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1oLLZN-0000vE-6w
 for bug-guix@HIDDEN; Tue, 09 Aug 2022 05:30:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:Subject:To:From:in-reply-to:
 references; bh=b8D/uUnevEyN9nA4rb3L7LqccN4wVXQ+H6cmMzJnfYI=; b=fmcVxSXNzOm6mT
 wSydE8Q6NUPBqaGSUiXDhq8gC2NUapw/6eztTOhAj93pecAAkFUjP8nDzdma3H4AZvRzpjav7Tpdd
 5VCt1ClEdghrCw1dyWpo/cbq29c3f+BoRZXVsNqJWfMNoWZZObzJGqQizI1Y+WBXTWLtt36wxaX1q
 6+tpB84gtNisO1z5dddE2Ymm/hQ5gJJgm2jKeZDwLuV/hB1l/QxebKCikj/rJnQWt6jZ2dW80ElE+
 01FDgRceq5fIuO7pu0V32Qw3OjBoG1kJEBtb3ki/lRWvq1WhlP5RXpi/Cf6XxW5vFqfc423OVgj+P
 1zBYMgaozvc7qecBMGwQ==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=40948 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1oLLZL-000429-Iv
 for bug-guix@HIDDEN; Tue, 09 Aug 2022 05:30:36 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: bug-guix@HIDDEN
Subject: Resizing mcron job in vm-image.tmpl interferes with settings
X-Debbugs-Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Duodi 22 Thermidor an 230 de la =?utf-8?Q?R=C3=A9vol?=
 =?utf-8?Q?ution=2C?= jour du =?utf-8?Q?C=C3=A2prier?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 09 Aug 2022 11:30:33 +0200
Message-ID: <87r11p932e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello!

Commit 945ad48cd8029fa77a643e00c7fd350e98cacca0 added an mcron job to
=E2=80=98vm-image.tmpl=E2=80=99 that resets screen size every second.  I=E2=
=80=99m don=E2=80=99t fully
understand the problem this was addressing, but it has two drawbacks:

  1. Kicking in every second is inefficient.

  2. Resetting the screen size prevents users from changing it.  For
     example, if I run:

       $(guix system vm gnu/system/examples/vm-image.tmpl) -m 1024

    then go to the Xfce menu, Settings -> Display, and change the screen
    size, I have it immediately reset back to the default value.

Should we remove this workaround, possibly finding another one?

Thanks,
Ludo=E2=80=99.




Acknowledgement sent to Ludovic Courtès <ludo@HIDDEN>:
New bug report received and forwarded. Copy sent to maxim.cournoyer@HIDDEN, bug-guix@HIDDEN. Full text available.
Report forwarded to maxim.cournoyer@HIDDEN, bug-guix@HIDDEN:
bug#57068; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 3 Nov 2022 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.